Package org.codehaus.groovy.runtime

# Class PackedClosure.FixedN

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.lang.Closure<Object>
org.codehaus.groovy.runtime.PackedClosure
org.codehaus.groovy.runtime.PackedClosure.FixedN

All Implemented Interfaces:
  `GroovyCallable<Object>`, `GroovyObject`, `Serializable`, `Cloneable`, `Runnable`, `Callable<Object>`, `GeneratedClosure`

Enclosing class:
  PackedClosure

public static final class PackedClosure.FixedN extends PackedClosure implements GeneratedClosure
Arities above four (rare) and vararg-shaped literals (trailing array parameter, e.g. `{ ...z -> }`, any arity): a varargs `doCall` — MOP selection packs the arguments back into one array, and `PackedClosure.dispatchAll(java.lang.Object[])` applies the same arity/coercion contract as the base `call` lanes. For the vararg shapes this varargs declaration is also the faithful one: their generated class declares a vararg `doCall`, whose selection flexibility (zero arguments collect to an empty trailing array where a fixed one-parameter `doCall` would null-fill) a `Fixed*` member cannot reproduce. A single `Object[]` argument spreads through MOP routes here, exactly as it feeds the trailing array of a classed vararg `doCall`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.codehaus.groovy.runtime.PackedClosure

  `PackedClosure.Fixed0, PackedClosure.Fixed1, PackedClosure.Fixed2, PackedClosure.Fixed3, PackedClosure.Fixed4, PackedClosure.FixedIt, PackedClosure.FixedN`

- ## Field Summary

  ### Fields inherited from class groovy.lang.Closure

  `DELEGATE_FIRST, DELEGATE_ONLY, DONE, IDENTITY, maximumNumberOfParameters, OWNER_FIRST, OWNER_ONLY, parameterTypes, SKIP, TO_SELF`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FixedN(Object owner, GeneratedDispatcher.Bundle dispatchers, int id, String method, Object[] captured, Class[] visibleTypes, boolean strict)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `doCall(Object... args)`

  ### Methods inherited from class org.codehaus.groovy.runtime.PackedClosure

  `call, call, create, dispatchAll, setDelegate, setResolveStrategy, toString`

  ### Methods inherited from class groovy.lang.Closure

  `additionalReferences, andThen, andThenSelf, andThenSelf, asWritable, call, checkForReferenceCycle, clone, compose, composeSelf, composeSelf, curry, curry, dehydrate, getDelegate, getDirective, getMaximumNumberOfParameters, getOwner, getParameterTypes, getProperty, getResolveStrategy, getThisObject, isCase, leftShift, leftShift, memoize, memoizeAtLeast, memoizeAtMost, memoizeBetween, mopUnperturbed, ncurry, ncurry, rcurry, rcurry, rehydrate, rightShift, run, setDirective, setMetaClass, setProperty, throwRuntimeException, trampoline, trampoline`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

- ## Constructor Details

  - ### FixedN

    public FixedN(Object owner, GeneratedDispatcher.Bundle dispatchers, int id, String method, Object[] captured, Class[] visibleTypes, boolean strict)

- ## Method Details

  - ### doCall

    public Object doCall(Object... args)